Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ResultSet.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ResultSet.Builder>
com.google.protobuf.GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ResultSet.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ResultSetOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ResultSet`

public static final class ClientWireProtocol.ResultSet.Builder extends GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder> implements ClientWireProtocol.ResultSetOrBuilder
Protobuf type `xg.cmdcomp.ResultSet`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ResultSet.Builder`
`addAllBlobLengths(Iterable<? extends Integer> values)`
`repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder`
`addAllBlobs(Iterable<? extends ByteString> values)`
`repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder`
`addAllSequenceNumbers(Iterable<? extends Long> values)`
`repeated int64 sequenceNumbers = 4;`
`ClientWireProtocol.ResultSet.Builder`
`addBlobLengths(int value)`
`repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder`
`addBlobs(ByteString value)`
`repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder`
`addSequenceNumbers(long value)`
`repeated int64 sequenceNumbers = 4;`
`ClientWireProtocol.ResultSet`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ResultSet`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ResultSet.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ResultSet.Builder`
`clearBlobLengths()`
`repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder`
`clearBlobs()`
`repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder`
`clearNumParts()`
`int32 numParts = 1;`
`ClientWireProtocol.ResultSet.Builder`
`clearSequenceNumbers()`
`repeated int64 sequenceNumbers = 4;`
`int`
`getBlobLengths(int index)`
`repeated int32 blobLengths = 2;`
`int`
`getBlobLengthsCount()`
`repeated int32 blobLengths = 2;`
`List<Integer>`
`getBlobLengthsList()`
`repeated int32 blobLengths = 2;`
`ByteString`
`getBlobs(int index)`
`repeated bytes blobs = 3;`
`int`
`getBlobsCount()`
`repeated bytes blobs = 3;`
`List<ByteString>`
`getBlobsList()`
`repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`int`
`getNumParts()`
`int32 numParts = 1;`
`long`
`getSequenceNumbers(int index)`
`repeated int64 sequenceNumbers = 4;`
`int`
`getSequenceNumbersCount()`
`repeated int64 sequenceNumbers = 4;`
`List<Long>`
`getSequenceNumbersList()`
`repeated int64 sequenceNumbers = 4;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ResultSet.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ResultSet.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ResultSet.Builder`
`mergeFrom(ClientWireProtocol.ResultSet other)`
`ClientWireProtocol.ResultSet.Builder`
`setBlobLengths(int index, int value)`
`repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder`
`setBlobs(int index, ByteString value)`
`repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder`
`setNumParts(int value)`
`int32 numParts = 1;`
`ClientWireProtocol.ResultSet.Builder`
`setSequenceNumbers(int index, long value)`
`repeated int64 sequenceNumbers = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### clear

public ClientWireProtocol.ResultSet.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ResultSet getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ResultSet build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ResultSet buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom(ClientWireProtocol.ResultSet other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ResultSet.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### getNumParts

public int getNumParts()
`int32 numParts = 1;`

Specified by:
  `getNumParts` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The numParts.

### setNumParts

public ClientWireProtocol.ResultSet.Builder setNumParts(int value)
`int32 numParts = 1;`

Parameters:
  `value` - The numParts to set.
Returns:
  This builder for chaining.

### clearNumParts

public ClientWireProtocol.ResultSet.Builder clearNumParts()
`int32 numParts = 1;`

Returns:
  This builder for chaining.

### getBlobLengthsList

public List<Integer> getBlobLengthsList()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobLengths.

### getBlobLengthsCount

public int getBlobLengthsCount()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobLengths.

### getBlobLengths

public int getBlobLengths(int index)
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengths` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobLengths at the given index.

### setBlobLengths

public ClientWireProtocol.ResultSet.Builder setBlobLengths(int index, int value)
`repeated int32 blobLengths = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The blobLengths to set.
Returns:
  This builder for chaining.

### addBlobLengths

public ClientWireProtocol.ResultSet.Builder addBlobLengths(int value)
`repeated int32 blobLengths = 2;`

Parameters:
  `value` - The blobLengths to add.
Returns:
  This builder for chaining.

### addAllBlobLengths

public ClientWireProtocol.ResultSet.Builder addAllBlobLengths(Iterable<? extends Integer> values)
`repeated int32 blobLengths = 2;`

Parameters:
  `values` - The blobLengths to add.
Returns:
  This builder for chaining.

### clearBlobLengths

public ClientWireProtocol.ResultSet.Builder clearBlobLengths()
`repeated int32 blobLengths = 2;`

Returns:
  This builder for chaining.

### getBlobsList

public List<ByteString> getBlobsList()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobs.

### getBlobsCount

public int getBlobsCount()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobs.

### getBlobs

public ByteString getBlobs(int index)
`repeated bytes blobs = 3;`

Specified by:
  `getBlobs` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobs at the given index.

### setBlobs

public ClientWireProtocol.ResultSet.Builder setBlobs(int index, ByteString value)
`repeated bytes blobs = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The blobs to set.
Returns:
  This builder for chaining.

### addBlobs

public ClientWireProtocol.ResultSet.Builder addBlobs(ByteString value)
`repeated bytes blobs = 3;`

Parameters:
  `value` - The blobs to add.
Returns:
  This builder for chaining.

### addAllBlobs

public ClientWireProtocol.ResultSet.Builder addAllBlobs(Iterable<? extends ByteString> values)
`repeated bytes blobs = 3;`

Parameters:
  `values` - The blobs to add.
Returns:
  This builder for chaining.

### clearBlobs

public ClientWireProtocol.ResultSet.Builder clearBlobs()
`repeated bytes blobs = 3;`

Returns:
  This builder for chaining.

### getSequenceNumbersList

public List<Long> getSequenceNumbersList()
`repeated int64 sequenceNumbers = 4;`

Specified by:
  `getSequenceNumbersList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the sequenceNumbers.

### getSequenceNumbersCount

public int getSequenceNumbersCount()
`repeated int64 sequenceNumbers = 4;`

Specified by:
  `getSequenceNumbersCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of sequenceNumbers.

### getSequenceNumbers

public long getSequenceNumbers(int index)
`repeated int64 sequenceNumbers = 4;`

Specified by:
  `getSequenceNumbers` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The sequenceNumbers at the given index.

### setSequenceNumbers

public ClientWireProtocol.ResultSet.Builder setSequenceNumbers(int index, long value)
`repeated int64 sequenceNumbers = 4;`

Parameters:
  `index` - The index to set the value at.
  `value` - The sequenceNumbers to set.
Returns:
  This builder for chaining.

### addSequenceNumbers

public ClientWireProtocol.ResultSet.Builder addSequenceNumbers(long value)
`repeated int64 sequenceNumbers = 4;`

Parameters:
  `value` - The sequenceNumbers to add.
Returns:
  This builder for chaining.

### addAllSequenceNumbers

public ClientWireProtocol.ResultSet.Builder addAllSequenceNumbers(Iterable<? extends Long> values)
`repeated int64 sequenceNumbers = 4;`

Parameters:
  `values` - The sequenceNumbers to add.
Returns:
  This builder for chaining.

### clearSequenceNumbers

public ClientWireProtocol.ResultSet.Builder clearSequenceNumbers()
`repeated int64 sequenceNumbers = 4;`

Returns:
  This builder for chaining.